@import '../../../assets/styles/functions.scss';
@import '../../../assets/styles/mixin.scss';

.fork-app-top
{
  position: relative;
  background-repeat: no-repeat;
  background-position: center;
  background-size: cover;
  min-height: 718px;

  &__content {
    @include marginHorizontal(auto);
    margin-top: 50px;
    text-align: center;
    max-width: 260px;
  }

  &__title {
    @include text(48px, 700, capitalize);
    color: getTextColor(text1);
  }

  &__sub-title {
    @include text(18px, 400, capitalize);
    @include marginVertical(20px, 15px);
    color: getTextColor(text2);
  }

  &__text {
    @include text(14px, 400, uppercase);
    color: getTextColor(text3);
  }

  &__btn {
    @include text(18px, 700, capitalize);
    background-color: getBgColor(bg2);
    color: getTextColor(text1);
    border: 1px solid getBgColor(bg2);
    padding: 13px 29px;
    position: absolute;
    top: 100%;
    left: 50%;
    transform: translate(-50%, -50%);
    min-width: 290px;
  }

  @media (min-width: 481px) {
    & {
      min-height: 800px;
    }

    &__content {
      // @include marginVertical(69px, 675px);
      margin-top: 69px;
      max-width: none;
    }

    &__title {
      font-size: 72px;
    }
    &__sub-title {
      @include text(24px, 400, capitalize, getFont(secondary));
      @include marginVertical(19px);
    }

    &__btn {
      font-size: 21px;
      padding: 23px 61px;
      min-width: 390px;
    }
  }

  @media (min-width: 993px) {
    &__title {
      font-size: 82px;
    }
    &__sub-title {
      @include text(30px, 400, capitalize, getFont(secondary));
    }

    &__text {
      font-size: 16px;
    }

    &__btn:hover {
      color: getTextColor(text2);
      background-color: getBgColor(bg3);
    }
  }
}